starpu-contrib (1.4.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Apr 2025 20:01:07 +0200

starpu-contrib (1.4.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-5t64 to libstarpu-1.4-6 according to soname bump.
    - patches/hipblas: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Apr 2025 16:32:49 +0200

starpu-contrib (1.4.5+dfsg-5) unstable; urgency=medium

  * control: Re-enable llvm omp and libstarpu-openmp-llvm package on mips64el,
    riscv64, and enable on loong64.
  * patches/gcc-15: Fix build with gcc-15 (Closes: Bug#1097937)
  * patches/hipblas: Fix hip build.
  * control: Add libamdhip64-dev and libhipblas-dev build-deps.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Apr 2025 16:31:26 +0200

starpu-contrib (1.4.5+dfsg-4) unstable; urgency=medium

  * control: Drop libstarpu-openmp-llvm package on i386, mips64el, riscv64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 22:47:49 +0100

starpu-contrib (1.4.5+dfsg-3) unstable; urgency=medium

  * control,rules: Disable llvm omp on i386, mips64el, riscv64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 21:41:46 +0100

starpu-contrib (1.4.5+dfsg-2) unstable; urgency=medium

  * patches/gcc-14: Fix build with gcc 14.  Closes: Bug#1075537, Bug#1078230.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2024 21:54:03 +0200

starpu-contrib (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename library packages according to abi bumps.
    - patches/avoid-version: Upstreamed.
    - patches/python-destdir: Upstreamed.
  * control: Replace pkg-config with pkgconf.
  * watch: Check signature.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Apr 2024 16:17:42 +0200

starpu-contrib (1.4.3+dfsg-5) unstable; urgency=medium

  * control: Fix missing Conflicts against both non-t64 and t64 packages.
  * control: Fix missing Breaks+Replaces for contrib t64 packages.
    Closes: Bug#1065258.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Mar 2024 14:16:23 +0100

starpu-contrib (1.4.3+dfsg-4) unstable; urgency=medium

  * control: Upgrade conflicts between starpu and starpu-contrib to 64-bit
    time_t names.  Closes: #1065258

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Mar 2024 11:10:29 +0100

starpu-contrib (1.4.3+dfsg-3) unstable; urgency=medium

  * patches/avoid-version: Avoid including version numbers for loadable
    plugins. Avoids useless shlibs file.
  * Rename contrib libraries for 64-bit time_t transition.
  * rules: Avoid ignoring failures from 'chmod'.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Mar 2024 01:31:03 +0100

starpu-contrib (1.4.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063083
  * Ignore failures from 'chmod' in debian/rules clean; this fails because
    '*contrib*' .install files have become dangling symlinks, but these are
    not part of the source package anyway.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:31:25 +0000

starpu-contrib (1.4.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 20:36:00 +0100

starpu-contrib (1.4.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to abi bumps.
    - control: Add python3-cloudpickle build-dep.
    - control: Add python3-setuptools build-dep.
    - control: Add python3-numpy build-dep.
    - patches/python-destdir: Fix missing $(DESTDIR).
    - not-installed: Not installing python files for now.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 14:24:40 +0100

starpu-contrib (1.4.2+dfsg-2) unstable; urgency=medium

  * Move libdummy_sched, libmy_dmda and libprofiling_tool into starpu-examples,
    to allow different libstarpu versions be co-installable.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Nov 2023 12:03:52 +0100

starpu-contrib (1.4.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-2 and libstarpumpi-1.4-2 according to soname bump.
    - patches/parallel_workers: Upstreamed.
    - patches/eztrace: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Nov 2023 10:07:57 +0100

starpu-contrib (1.4.1+dfsg-8) unstable; urgency=medium

  * control: Make libstarpu-dev dep on libpapi-dev only where needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Aug 2023 11:43:40 +0200

starpu-contrib (1.4.1+dfsg-7) unstable; urgency=medium

  * patches/eztrace: Let eztrace trace job start/end.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Aug 2023 11:56:08 +0200

starpu-contrib (1.4.1+dfsg-6) unstable; urgency=medium

  * control: Make libstarpu-dev dep on libpapi-dev.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Aug 2023 18:49:15 +0200

starpu-contrib (1.4.1+dfsg-5) unstable; urgency=medium

  * patches/parallel_workers: Fix parallel_workers test on machines with a lot
    of CPU sockets.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Aug 2023 21:43:52 +0200

starpu-contrib (1.4.1+dfsg-4) unstable; urgency=medium

  * rules: Also hardcode the maximum number of cpus and NUMA nodes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Jul 2023 16:07:57 +0200

starpu-contrib (1.4.1+dfsg-3) unstable; urgency=medium

  * control: Make libstarpu depend on libstarpu-openmp-llvm only on archs
    which have it built.
  * rules: Hardcode the maximum number of nodes.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Jul 2023 12:34:11 +0200

starpu-contrib (1.4.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Jun 2023 14:00:04 +0200

starpu-contrib (1.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release. Closes: Bug#1036683.
    - Rename library packages according to soname bumps.
    - Closes: Bug#1036683.
    - patches/atomic: Upstreamed.
    - patches/atomic2: Upstreamed.
    - patches/atomic3: Upstreamed.
    - patches/hurd_max: Upstreamed.
    - patches/llvm-openmp: Upstreamed.
    - patches/openmp_llvm_variant: Upstreamed.
    - patches/socl-atomic: Upstreamed.
    - patches/starpurm-hwloc: Upstreamed.
    - patches/tasks_size_overhead_cpustep: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 May 2023 18:18:07 +0200

starpu-contrib (1.4.0+dfsg-4) experimental; urgency=medium

  * control: Don't build-dep on clang on archs which don't have libomp-dev.
  * libstarpu-openmp-llvm-1.4-1: Don't build package on archs which don't have
    libomp-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Apr 2023 11:09:10 +0200

starpu-contrib (1.4.0+dfsg-3) experimental; urgency=medium

  * patches/hurd_max: Fix build issue.
  * control: Restraint libpapi-dev build-dep on archs where it actually
    builds. Add pajeng build-dep.
  * rules: Do not call chrpath on archs where openmp-llvm is not available.
  * patches/socl-atomic: Make socl use starpu macros for atomic operations.
  * patches/atomic, atomic2, atomic3: Fix 64bit atomics on some 32bit archs.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Apr 2023 18:42:10 +0200

starpu-contrib (1.4.0+dfsg-2) experimental; urgency=medium

  * rules: Fix multiarch path.
  * control: Build-dep on libpapi-dev on linux-any only.
  * control, rules: Enable openmp-llvm on archs that have libomp-dev only.
  * patches/openmp_llvm_variant: Fix LLVM-based openmp support.
  * tests/examples: Avoid running meant-to-deadlock test.
  * patches/tasks_size_overhead_cpustep: Fix autopkgtest hanging.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Apr 2023 17:53:33 +0200

starpu-contrib (1.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename packages according to soname bump.
    - New libstarpu-openmp-llvm-1.4-1 package for new library.
    - control: Complete migration from libgl1-mesa-dev to libgl-dev and from
    libglu1-mesa-dev to libglu-dev.
    - control: Add chrpath, libfxt-dev, libpapi-dev, python3-all-dev,
    libpython3-all-dev, python3-joblib, clang, libomp-dev build-deps.
    - rules: --enable-tcpip-master-slave, --enable-openmp-llvm.
    - docs: README was renamed to README.md
    - libstarpu-1.3-9.install: Install loadable libraries.
    - not-installed: Do not install the starpu module, starpu_config.cfg, and
    .a/.la libs.
    - patches/llvm-openmp: Fix llvm-openmp build.
    - patches/starpurm-hwloc: Add missing link against hwloc.
    - rules: drop rpath from llvm OMP examples.
    - gbp.conf: Update filter.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Mar 2023 11:33:08 +0200

starpu-contrib (1.3.10+dfsg-2) unstable; urgency=medium

  * Rebuild on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 Nov 2022 00:05:44 +0100

starpu-contrib (1.3.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-8 to libstarpu-1.3-9 according to soname
    bump.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Use valgrind-if-available instead of hardcoding a list.
  * rules: Leverage /usr/share/dpkg/pkg-info.mk to provide package
    information.
  * control: Make Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 16 Nov 2022 10:10:05 +0100

starpu-contrib (1.3.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-7 to libstarpu-1.3-8 according to soname
    bump.
    - patches/no_src_build_dir: Upstreamed.
    - patches/no_src_dir: Upstreamed.
    - copyright: Update.
  * control, copyright: Fix upstream URL.
  * control: Make starpu-tools' recommends on python3 :any.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Oct 2021 23:46:27 +0200

starpu-contrib (1.3.8+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Remove unused license definitions for GPL-3, QWT.
  * Update standards version to 4.5.1, no changes needed.
  * Remove Section on libstarpu-1.3-7, Section on libstarpufft-1.3-2, Section on
    libstarpumpi-1.3-3, Section on libsocl-1.3-0, Section on libstarpurm-1.3-2
    that duplicate source.

  [ Samuel Thibault ]
  * patches/no_src_build_dir: Really avoid any STARPU_SRC/BUILD_DIR
    definition.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Sep 2021 18:34:24 +0200

starpu-contrib (1.3.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * patches/no_src_dir: Avoid leaking the source directory in installed files.
  * patches/no_src_build_dir: Avoid leaking the source/build directory in
    debugging symbols of installed files.
  * rules: Make sure to undefine STARPU_DEVEL.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Aug 2021 21:51:53 +0200

starpu-contrib (1.3.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename package libstarpu-1.3-5 to libstarpu-1.3-7 according to soname
    bump.
    - Rename package libstarpurm-1.3-1 to libstarpurm-1.3-2 according to soname
    bump.
    - patches/socl_link: Upstreamed.
    - patches/fortify: Upstreamed.
  * patches/fortify: Fix setting fortify build flag.
  * control: Set Rules-Requires-Root to no.
  * libstarpu-contrib-1.3-5.lintian-overrides: Fix override.
  * watch: Drop gforge URL.
  * gbp.conf: Use filter to clean upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Aug 2021 18:28:45 +0200

starpu-contrib (1.3.7+dfsg-3) unstable; urgency=medium

  * control: Make libstarpu-dev depend on libstarpurm-1.3-1
    (Closes: Bug#985436).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Mar 2021 22:50:37 +0100

starpu-contrib (1.3.7+dfsg-2) unstable; urgency=medium

  * control: Fix libstarpurm providing libstarpu-anyrm.
  * control: Update packaging URL.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jan 2021 13:37:36 +0100

starpu-contrib (1.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-4 to libstarpu-1.3-5.
    - patches/starpurm_link: Upstreamed.
    - patches/starpurm_showcheck: Upstreamed.
    - patches/mlr_blas: Upstreamed.
  * starpu-examples.install: Add mpi examples, precalibrated perfmodels,
    opencl codelets.
  * starpu-tools.install: Install perfmodel dtd. Install starpu_t* tools
    (starpu_top is no more). Install ayudame.cfg.
  * not-installed: Rule out *.la. Rule out README.dev.
  * docs: Install missing doc.
  * control: Drop removed gccDeps variable. Drop shlibs:Depends from
    libstarpu-dev, it shouldn't need it.
  * patches/socl_link: Fix linking libsocl against libOpenCL.
  * patches/mpi_link: Drop patch, dh removes spurious rpath, and we need the
    link flags to properly get the libmpi dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2020 13:14:54 +0200

starpu-contrib (1.3.5+dfsg-2) unstable; urgency=medium

  * patches/starpurm_showcheck: Fix showcheck rule inside starpurm.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Sep 2020 17:17:38 +0200

starpu-contrib (1.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename
      - libstarpu-1.3-3 to libstarpu-1.3-4
      - libstarpufft-1.3-1 to libstarpufft-1.3-2
      - libstarpumpi-1.3-2 to libstarpumpi-1.3-3
      according to upstream soname bump.
    - control: Add libstarpurm library.
    - patches/install: Upstreamed.
    - rules: Pass --enable-mlr-system-blas to configure.
    - rules: Pass --enable-starpurm-examples to configure.
    - patches/mlr_blas: Fix using system blas.
    - patches/starpurm_link: Fix linking starpurm examples.
  * control: Drop doxygen-latex dependency, we don't build the PDFs any more.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * watch: Update.
  * rules: Drop --parallel and --with autoreconf, now the default.
  * control: Drop the autotools-dev and dh-autoreconf build-deps, now the
    default.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Aug 2020 16:29:30 +0200

starpu-contrib (1.3.4+dfsg-3) unstable; urgency=medium

  * control: Drop valgrind build-dep on x32, it is not actually currently
    available there.
  * patches/install: Install missing examples (Closes: Bug#964149).
  * tests/examples: Update autopkgtest to StarPU 1.3.4.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 02 Jul 2020 20:03:46 +0200

starpu-contrib (1.3.4+dfsg-2) unstable; urgency=medium

  * control: Update debian packaging vcs repository.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Jun 2020 10:21:28 +0200

starpu-contrib (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-2 to libstarpu-1.3-3 according to soname bump.
    - Rename libstarpumpi-1.3-1 to libstarpumpi-1.3-2 according to soname bump.
    - patches/git-fxt: Upstreamed.
    - patches/no-schedulers-test: Drop, now useless.
    - patches/doc-nopdf: Drop, replaced by...
    - rules: ... Add --disable-build-doc-pdf configure option.
    - patches/mpi_link: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Jun 2020 14:39:01 +0200

starpu-contrib (1.3.3+dfsg-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Rebuild against libhdf5-103-1 (Closes: Bug#955831).
  * control: Drop mention of mips. Enable libnuma-dev dep on all linux archs.
    Enable valgrind on x32.

  [ Andreas Beckmann ]
  * control: Depend on nvidia-cuda-toolkit-gcc instead of nvidia-cuda-toolkit.
  * rules: Use cuda-gcc/g++ instead of hardcoded versions of gcc/g++
    (Closes: Bug#955794).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Apr 2020 15:51:11 +0200

starpu-contrib (1.3.3+dfsg-2) unstable; urgency=medium

  * Re-upload for building arch:all on a buildd.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Dec 2019 16:20:10 +0100

starpu-contrib (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-1 to libstarpu-1.3-2 according to soname bump.
    - Rename libstarpufft-1.3-0 to libstarpufft-1.3-1 according to soname bump.
    - Rename libstarpumpi-1.3-0 to libstarpumpi-1.3-1 according to soname bump.
    - patches/man: Upstreamed.
    - patches/flops-nan: Upstreamed.
    - patches/flops-incoherent: Upstreamed.
    - patches/git-fxt: New patch, fix big traces.
  * watch: Generalize pattern.
  * rules: Do not make showcheck in nocheck profile.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 14:52:39 +0100

starpu-contrib (1.3.2+dfsg-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * libsocl-contrib-1.3-0.lintian-overrides,
    libstarpu-contrib-1.3-1.lintian-overrides,
    libstarpu-contribfft-1.3-0.lintian-overrides,
    libstarpu-contribmpi-1.3-0.lintian-overrides: Suppress warning.
  * patches/man: Add descriptions to NAME sections of manpages.
  * patches/flops-nan: Accept flops being nan, as set when flops computation
    is incoherent (Closes: Bug#939744).
  * patches/flops-incoherent: Fix detecting flops computation incoherency, and
    make it emit a warning.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Sep 2019 13:48:48 +0200

starpu-contrib (1.3.2+dfsg-3) unstable; urgency=medium

  * patches/no-schedulers-test: Avoid running schedulers.sh test, which is
    extremely long and breaks the build.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:36:03 +0200

starpu-contrib (1.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 14:35:16 +0200

starpu-contrib (1.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-0 to libstarpu-1.3-1 according to SONAME bump.
    - patches/relax-gcc-plugin: Remove.
    - patches/qt5: Remove.
    - patches/heat-opengl: Merged.
    - patches/refman: Merged.
  * Add libhdf5-dev build-dep.
  * Make starpu-tools recommends python3 for starpu_mpi_comm_matrix.
  * rules: Drop now-useless V definition.
  * control: Drop gcc-7 dep (closes: #924012).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 16:50:29 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libstarpu-contrib-1.4-6`.
